# Minecraft

Minecraft is available through the custom helm chart (including a server downloader). The example
below installs nimcraft. For each installation you'll want to create your own values.yaml
with a new port. The server-downloader is called "minecraft_get_server" and is available on
[Github](https://github.com/ducoterra/minecraft_get_server).

After installing, you can run admin commands (like whitelisting players) by
attaching to the container:

```bash
kubectl attach -it <pod>

> /whitelist add ducoterra
```

## Testing

```bash
helm upgrade --install \
    testcraft \
    ./active/kubernetes_minecraft \
    --namespace minecraft \
    --create-namespace
```

## Nimcraft

```bash
helm upgrade --install \
    nimcraft \
    ./active/kubernetes_minecraft \
    --namespace minecraft \
    --create-namespace
```

## Courtnie

```bash
helm upgrade --install \
    courtniecraft \
    ./active/kubernetes_minecraft \
    --namespace minecraft \
    --create-namespace
```

## Camcraft

```bash
helm upgrade --install \
    camcraft1 \
    ./active/kubernetes_minecraft \
    --namespace minecraft \
    --create-namespace
```
